C  PLTST SELECTS PLOTTER AND RETURNS PLOTTER SIZE
C  IN X AND Y.  FOR ADDITIONAL EXECUTION DETAILS SEE
C  USER DOCUMENTATION.
C
      SUBROUTINE PLTST(NPLTR,X,Y,ISEL)
      DIMENSION ISEL(1)
C***********************************************************************
C
C   OFFST ARRAY IS USED FOR THE THICK LINE OPTION OF SUBROUTINE LINE.
C     IT CONTAINS THE OFFSET, IN INCHES, FOR EACH PARALLEL LINE TO BE
C     DRAWN WRT THE PREVIOUS LINE, PER DEVICE, UNTIL THE LINE IS AS
C     THICK AS SPECIFIED.
C
      DIMENSION OFFST(15)
C***********************************************************************
      INTEGER PXZ00
C
C
$INCLUDE:'pxz99.cmn'
C
C
      DATA SCLED/7.15633E13/
C***********************************************************************
      DATA OFFST/0.006,0.0075,0.013,0.006,0.015,0.006,0.009,
     1 .015,.015,.015,.015,.015,.015,.015,.015/
C***********************************************************************
C
C  NOTE.. THIS ROUTINE REQUIRES INITIALIZER FOR SUB-
C  STANDARD FORTRAN AS IN SCALE.
C
C  CHECK IF IN SCALED STATE.
      IF (FSCAL.NE.SCLED) GO TO 10
      K=10
      GO TO 160
C
C  CHECK PLOTTER SELECTION
   10 IPLTR=NPLTR+1
      IF (IPLTR.GT.0.AND.IPLTR.LE.IPLTX) GO TO 20
      CALL PXZ02(51)
      STOP 175
C
C  SET UP OPTIONS.
   20 DOFF=OFFST(IPLTR)
C***********************************************************************
C     WRITE(6,2)
C   2 FORMAT(2X,"ENTER INPUT DOFF:")
C     READ(5,3) DOFF
C   3 FORMAT(V)
C***********************************************************************
      IF (ISEL(1)) 30,40,40
   30 NS=-ISEL(1)
      IF (NS.EQ.-1) GO TO 80
      KT=ISEL(2)
      GO TO 50
   40 NS=2
      KT=ISEL(1)
   50 IF (KT-1) 80,60,70
   60 INCMT=0
      GO TO 80
   70 INCMT=1
   80 IPXZY=PXZ00(4)
C
C  SET X AND Y SIZE
      IF (INCMT) 90,90,100
   90 X=XRASX
      Y=YRASX
      GO TO 110
  100 X=XRASX*2.54
      Y=YRASX*2.54
      DOFF=DOFF/2.54
C
C  CHANGE LOGICAL UNITS.
  110 IF (NS.LE.2) RETURN
      IF (ISEL(3).GT.0) LUTTY=ISEL(3)
      IF (NS.LE.3) RETURN
      IF (ISEL(4).GT.0) LUOUT=ISEL(4)
      IF (NS.LE.4) RETURN
      IF (ISEL(5)) 120,130,140
  120 LUERR=LUTTY
      GO TO 150
  130 LUERR=0
      GO TO 150
  140 LUERR=ISEL(5)
  150 RETURN
C
  160 CALL PXZ02(K)
      RETURN
C
      END

